Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.sort
Class DecimalSortComparer

    java.lang.Object
      net.sf.saxon.expr.sort.ComparableAtomicValueComparer
          net.sf.saxon.expr.sort.DecimalSortComparer

All Implemented Interfaces:
  Serializable, AtomicComparer

    public class DecimalSortComparer

extends ComparableAtomicValueComparer

An AtomicComparer used for sorting values that are known to be instances of xs:decimal (including xs:integer), It also supports a separate method for getting a collation key to test equality of items

Author:
  Michael H. Kay
See Also:
  Serialized Form

Method Summary
`ComparisonKey` | `getComparisonKey(AtomicValue a)` Get a comparison key for an object.
`static DecimalSortComparer` | `getDecimalSortComparerInstance()`

Methods inherited from class net.sf.saxon.expr.sort.ComparableAtomicValueComparer
`compareAtomicValues, comparesEqual, getCollator, getInstance, provideContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDecimalSortComparerInstance

    public static DecimalSortComparer getDecimalSortComparerInstance()

### getComparisonKey

    public ComparisonKey getComparisonKey(AtomicValue a)

  Get a comparison key for an object. This must satisfy the rule that if two objects are equal as defined by the XPath eq operator, then their comparison keys are equal as defined by the Java equals() method, and vice versa. There is no requirement that the comparison keys should reflect the ordering of the underlying objects.

  Specified by:
    `getComparisonKey` in interface `AtomicComparer`
  Overrides:
    `getComparisonKey` in class `ComparableAtomicValueComparer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.